Bug 237046 - (perl-Config-IniHash) Review Request: perl-Config-IniHash - Perl extension for reading and writing INI files
Review Request: perl-Config-IniHash - Perl extension for reading and writing ...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
Depends On: perl-Hash-Case Hash-WithDefaults
Blocks: perl-CGI-Ex
  Show dependency treegraph
Reported: 2007-04-18 21:11 EDT by Chris Weyl
Modified: 2010-03-09 01:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-28 01:05:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-18 21:11:16 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Config-IniHash-2.8-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Config-IniHash.spec

This module reads and writes INI files.
Comment 1 Bernard Johnson 2007-04-26 15:38:17 EDT
package won't mockbuild:

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl
not ok 1 - use Config::IniHash;
#   Failed test 'use Config::IniHash;'
#   in test.pl at line 9.
#     Tried to use 'Config::IniHash'.
#     Error:  Can't locate IO/Scalar.pm in @INC (@INC contains: blib/lib
blib/arch /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at blib/lib/Config/IniHash.pm line 6.
# BEGIN failed--compilation aborted at test.pl line 9.
# Compilation failed in require at (eval 3) line 2.
# BEGIN failed--compilation aborted at (eval 3) line 2.
Undefined subroutine &main::WriteINI called at test.pl line 23.
# Looks like you planned 4 tests but only ran 1.
# Looks like you failed 1 test of 1 run.
# Looks like your test died just after 1.
make: *** [test_dynamic] Error 255
error: Bad exit status from /var/tmp/rpm-tmp.46589 (%check)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.46589 (%check)

Error building package from perl-Config-IniHash-2.8-1.fc6.src.rpm, See build log
Comment 2 Chris Weyl 2007-04-26 15:45:52 EDT
Missing BR on perl(IO::Scalar) *sigh*

SRPM URL: http://home.comcast.net/~ckweyl/perl-Config-IniHash-2.8-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Config-IniHash.spec
Comment 3 Bernard Johnson 2007-04-26 16:03:22 EDT
Package Review

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Rpmlint output: None
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the  Packaging Guidelines.
 [x] Package is licensed with an open-source compatible license and meet other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is written in American English.
 [x] Spec file for the package is legible.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : fc8dff4d51cd0380f386e9f35bed59a2
     MD5SUM upstream package: fc8dff4d51cd0380f386e9f35bed59a2
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] Package does not own files or directories owned by other packages.

 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.
 [!] Latest version is packaged.

=== Issues ===
1. Please package latest version or justify why packaging a 2 year old version
is warranted.  Latest version is 2.9.0 http://search.cpan.org/dist/Config-IniHash/

=== Final Notes ===
Comment 4 Chris Weyl 2007-04-26 16:55:33 EDT
No justification possible (though I will admit to being confused how cpanspec
would pick that version).  For your convienence:


No changes except for a changelog entry and the version bump.

SRPM URL: http://home.comcast.net/~ckweyl/perl-Config-IniHash-2.9.0-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Config-IniHash.spec
Comment 5 Bernard Johnson 2007-04-26 17:19:08 EDT
  [x] Sources used to build the package matches the upstream source, as provided
 in the spec URL.
      MD5SUM this package    : 012e9bc3e320dcb031886a3ffcc19c09
      MD5SUM upstream package: 012e9bc3e320dcb031886a3ffcc19c09
  [x] Latest version is packaged.

*** APPROVED ***
Comment 6 Chris Weyl 2007-04-26 17:27:36 EDT
New Package CVS Request
Package Name: perl-Config-IniHash
Short Description: Perl extension for reading and writing INI files
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 7 Chris Weyl 2007-04-28 01:05:21 EDT
Imported and building...  thanks for the review! :)
Comment 8 Iain Arnell 2010-03-08 23:02:29 EST
as per #569301,

Package Change Request
Package Name: perl-Config-IniHash
New Branches: EL-4 EL-5
Owners: iarnell
InitialCC: perl-sig
Comment 9 Kevin Fenzi 2010-03-09 01:02:23 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.